Index: LMDZ4/trunk/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/ocean_forced_mod.F90	(revision 993)
+++ LMDZ4/trunk/libf/phylmd/ocean_forced_mod.F90	(revision 996)
@@ -14,50 +14,5 @@
   IMPLICIT NONE
 
-  REAL, ALLOCATABLE, DIMENSION(:), SAVE, PRIVATE   :: tmp_flux_o, tmp_flux_g
-  !$OMP THREADPRIVATE(tmp_flux_o,tmp_flux_g)
-
 CONTAINS
-!
-!****************************************************************************************
-! 
-  SUBROUTINE ocean_forced_init
-! Allocate fields needed for this module
-!    
-    INTEGER              :: error
-    CHARACTER (len = 80) :: abort_message
-    CHARACTER (len = 20) :: modname = 'ocean_forced_init'
-!****************************************************************************************
-
-    ALLOCATE(tmp_flux_o(1:klon), stat = error)
-    IF (error /= 0) THEN
-       abort_message='Pb allocation tmp_flux_o'
-       CALL abort_gcm(modname,abort_message,1)
-    ENDIF
-
-    ALLOCATE(tmp_flux_g(1:klon), stat = error)
-    IF (error /= 0) THEN
-       abort_message='Pb allocation tmp_flux_g'
-       CALL abort_gcm(modname,abort_message,1)
-    ENDIF    
-
-
-  END SUBROUTINE ocean_forced_init
-!
-!****************************************************************************************
-!****************************************************************************************
-! 
-  SUBROUTINE ocean_forced_final
-! Allocate fields needed for this module
-!    
-    INTEGER              :: error
-    CHARACTER (len = 80) :: abort_message
-    CHARACTER (len = 20) :: modname = 'ocean_forced_init'
-!****************************************************************************************
-
-    DEALLOCATE(tmp_flux_o)
-    DEALLOCATE(tmp_flux_g)
-
-
-  END SUBROUTINE ocean_forced_final
 !
 !****************************************************************************************
@@ -71,11 +26,12 @@
        radsol, snow, agesno, & 
        qsurf, evap, fluxsens, fluxlat, &
-       tsurf_new, dflux_s, dflux_l, pctsrf_oce)
+       tsurf_new, dflux_s, dflux_l)
 !
 ! This subroutine treats the "open ocean", all grid points that are not entierly covered
 ! by ice.
-! The routine reads data from climatologie file and does some calculations at the 
+! The routine receives data from climatologie file limit.nc and does some calculations at the 
 ! surface. 
 !
+    USE limit_read_mod
     INCLUDE "indicesol.h"
     INCLUDE "YOMCST.h"
@@ -108,5 +64,4 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l
-    REAL, DIMENSION(klon), INTENT(OUT)       :: pctsrf_oce
 
 ! Local variables
@@ -116,5 +71,4 @@
     REAL, DIMENSION(klon)       :: alb_neig, tsurf_lim, zx_sl
     LOGICAL                     :: check=.FALSE.
-    REAL, DIMENSION(klon,nbsrf) :: pctsrf_lim
 
 !****************************************************************************************
@@ -125,13 +79,9 @@
 !****************************************************************************************
 ! 1)    
-! Read from climatologie file SST and fraction of sub-surfaces
-!
-!****************************************************************************************
-! Get from file tsurf_lim and pctsrf_lim
-    CALL interfoce_lim(itime, dtime, jour, & 
-         knon, knindex, &
-         debut, &
-         tsurf_lim, pctsrf_lim)
-    
+! Read sea-surface temperature from file limit.nc
+!
+!****************************************************************************************
+    CALL limit_read_sst(knon,knindex,tsurf_lim)
+
 !****************************************************************************************
 ! 2)
@@ -154,30 +104,4 @@
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
 
-!****************************************************************************************
-! 3)
-! Calculate tmp_flux_o
-!
-!****************************************************************************************
-!IM: flux ocean-atmosphere utile pour le "slab" ocean
-! The flux are written to hist file
-    tmp_flux_o(:) = 0.0
-    DO i=1, knon
-       zx_sl(i) = RLVTT
-       IF (tsurf_new(i) .LT. RTT) zx_sl(i) = RLSTT
-
-!IM     flux_o(i) = fluxsens(i)-evap(i)*zx_sl(i)
-!       flux_o(i) = fluxsens(i) + fluxlat(i)
-       IF (pctsrf_lim(knindex(i),is_oce) .GT. epsfra) THEN
-          tmp_flux_o(knindex(i)) = fluxsens(i) + fluxlat(i)
-       ENDIF
-    ENDDO
-
-!****************************************************************************************
-! 4)
-! Return the new values for the ocean fraction
-!
-!****************************************************************************************
-
-    pctsrf_oce(:) = pctsrf_lim(:,is_oce)
 
   END SUBROUTINE ocean_forced_noice
@@ -192,10 +116,12 @@
        radsol, snow, qsol, agesno, tsoil, &
        qsurf, alb1_new, alb2_new, evap, fluxsens, fluxlat, &
-       tsurf_new, dflux_s, dflux_l, pctsrf_sic)
+       tsurf_new, dflux_s, dflux_l)
 !
 ! This subroutine treats the ocean where there is ice. 
 ! The routine reads data from climatologie file and does flux calculations at the 
 ! surface.
-!    
+!
+    USE limit_read_mod
+
     INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
@@ -219,5 +145,4 @@
     REAL, DIMENSION(klon), INTENT(IN)    :: u1_lay, v1_lay
 
-
 ! In/Output arguments
 !****************************************************************************************
@@ -226,5 +151,4 @@
     REAL, DIMENSION(klon), INTENT(INOUT)          :: agesno
     REAL, DIMENSION(klon, nsoilmx), INTENT(INOUT) :: tsoil
-
 
 ! Output arguments
@@ -236,6 +160,4 @@
     REAL, DIMENSION(klon), INTENT(OUT)            :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)            :: dflux_s, dflux_l      
-    REAL, DIMENSION(klon), INTENT(OUT)            :: pctsrf_sic
-
 
 ! Local variables
@@ -248,5 +170,4 @@
     REAL, DIMENSION(klon)       :: alb_neig, tsurf_tmp
     REAL, DIMENSION(klon)       :: soilcap, soilflux
-    REAL, DIMENSION(klon,nbsrf) :: pctsrf_lim
 
 !****************************************************************************************
@@ -256,35 +177,17 @@
 
 !****************************************************************************************
-! 1)    
-! Read from climatologie file SST and fraction of sub-surfaces
-!
-!****************************************************************************************
-    CALL interfoce_lim(itime, dtime, jour, & 
-         knon, knindex, &
-         debut, &
-         tsurf_tmp, pctsrf_lim)
-  
-    DO i = 1, knon
-       tsurf_tmp(i) = tsurf_in(i)
-       IF (pctsrf_lim(knindex(i),is_sic) < EPSFRA) THEN
-          snow(i) = 0.0
-          tsurf_tmp(i) = RTT - 1.8
-          IF (soil_model) tsoil(i,:) = RTT -1.8
-       ENDIF
-    ENDDO
-
-!****************************************************************************************
-! 2) 
+! 1) 
 ! Flux calculation : tsurf_new, evap, fluxlat, fluxsens, 
 !                    dflux_s, dflux_l and qsurf
 !****************************************************************************************
+    tsurf_tmp(:) = tsurf_in(:)
 
 ! calculate the parameters cal, beta, capsol and dif_grnd
-
     CALL calbeta(dtime, is_sic, knon, snow, qsol, beta, capsol, dif_grnd)
+
     
     IF (soil_model) THEN 
 ! update tsoil and calculate soilcap and soilflux
-       CALL soil(dtime, is_sic, knon,snow, tsurf_tmp, tsoil,soilcap, soilflux)
+       CALL soil(dtime, is_sic, knon, snow, tsurf_tmp, tsoil,soilcap, soilflux)
        cal(1:knon) = RCPD / soilcap(1:knon)
        radsol(1:knon) = radsol(1:knon)  + soilflux(1:knon)
@@ -305,5 +208,5 @@
 
 !****************************************************************************************
-! 3)
+! 2)
 ! Calculations due to snow and runoff
 !
@@ -327,49 +230,8 @@
     alb2_new(:) = alb1_new(:)
 
-!****************************************************************************************
-! 4)
-! Calculate tmp_flux_g
-!
-!****************************************************************************************
-!
-    tmp_flux_g(:) = 0.0
-    DO i = 1, knon
-!IM: faire dependre le coefficient de conduction de la glace de mer
-!    de l'epaisseur de la glace de mer, dans l'hypothese ou le coeff.
-!    actuel correspond a 3m de glace de mer, cf. L.Li
-!
-       IF (cal(i) .GT. 1.0e-15 .AND. pctsrf_lim(knindex(i),is_sic) .GT. epsfra) &
-            tmp_flux_g(knindex(i)) = (tsurf_new(i)-t_grnd) * dif_grnd(i) *RCPD/cal(i)
-       
-    ENDDO
-
-
-!****************************************************************************************
-! 5)
-! Return the new values for the seaice fraction
-!
-!****************************************************************************************
-
-    pctsrf_sic(:) = pctsrf_lim(:,is_sic)
-
   END SUBROUTINE ocean_forced_ice
 !
 !****************************************************************************************
 !
-  SUBROUTINE ocean_forced_get_vars(flux_o, flux_g)
-! Get some variables from module oceanforced.
-! This subroutine returns variables to a external routine
-
-    REAL, DIMENSION(klon), INTENT(OUT) :: flux_o
-    REAL, DIMENSION(klon), INTENT(OUT) :: flux_g
-
-! Initialize the output variables
-    flux_o(:) = tmp_flux_o(:)
-    flux_g(:) = tmp_flux_g(:)
-
-  END SUBROUTINE ocean_forced_get_vars
-!
-!****************************************************************************************
-!
 END MODULE ocean_forced_mod
 
